<div class="container">
  <mat-card *ngFor="let e of events">
    <mat-card-header>
      <mat-card-title>{{e.name}}</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <label for="{{'fileInput' + e.id}}" class="custom-file-upload mat-elevation-z1">
        <i class="fa fa-cloud-upload"></i> Upload images
      </label>
      <input (change)="onFileChange(e.id, $event)" class="upload" id="{{'fileInput' + e.id}}" type="file" multiple/>


      <div class="fileContainer">
        <table>
          <tr height="35px" *ngFor="let file of files[e.id]; let i = index" [attr.data-index]="i">
            <td valign="middle">
             {{i+1 + '. ' + file.name}}
            </td>
            <td width="35px" valign="middle" align="center">
              <img *ngIf="file.uploaded === 0" class="icon" src="https://i.ibb.co/wd59GXn/close-1.png" alt="failed">
              <img *ngIf="file.uploaded === 1" class="icon" src="https://i.ibb.co/9rng2dh/tick-1.png" alt="successful">
              <img *ngIf="file.uploaded === 2" class="icon" src="https://i.ibb.co/1vm0p3b/Spinner-1s-200px-1.gif" alt="uploading">
            </td>
          </tr>
        </table>
      </div>
    </mat-card-content>
  </mat-card>

  <div class="stretch">
    <button [disabled]="buttonDisabled" mat-raised-button color="primary" class="centered" id="confirm-upload" (click)="onSubmit()">Upload images</button>
  </div>
</div>
